package com.yijia.customer.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 客户管理对象 customer_manage
 *
 * @author yijia
 * @date 2021-01-22
 */
public class CustomerManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 会员卡id */
    @Excel(name = "会员卡id")
    private String memberId;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String customerName;

    /** 推荐人 */
    @Excel(name = "推荐人")
    private String commendMan;

    /** 会员等级 */
    @Excel(name = "会员等级")
    private String memberGrade;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phoneNumber;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNumber;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 积分 */
    @Excel(name = "积分")
    private Long integral;

    /** 专车类型 */
    @Excel(name = "专车类型")
    private String specialCarType;

    /** 注册时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date regtime;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 柴油等级 */
    @Excel(name = "柴油等级")
    private String cyGrade;

    /** 汽油等级 */
    @Excel(name = "汽油等级")
    private String qyGrade;

    /** 柴油加油总升数 */
    @Excel(name = "柴油加油总升数")
    private BigDecimal cyLiters;

    /** 汽油加油总升数 */
    @Excel(name = "汽油加油总升数")
    private BigDecimal qyLiters;

    /** 柴油加油消费总金额 */
    @Excel(name = "柴油加油消费总金额")
    private BigDecimal cyAmt;

    /** 汽油加油消费总金额 */
    @Excel(name = "汽油加油消费总金额")
    private BigDecimal qyAmt;

    /** 公众号openid */
    @Excel(name = "公众号openid")
    private String blogOpenid;

    /** 小程序openid */
    @Excel(name = "小程序openid")
    private String minaOpenid;

    /** 公众号userid */
    @Excel(name = "公众号userid")
    private Long blogUserId;

    /** 小程序的userid */
    @Excel(name = "小程序的userid")
    private Long minaUserId;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 等级 */
    @Excel(name = "等级")
    private String grade;

    /** 总升数 */
    @Excel(name = "总升数")
    private BigDecimal liters;

    /** 总金额 */
    @Excel(name = "总金额")
    private BigDecimal amt;

    /** 微信UnionID */
    @Excel(name = "微信UnionID")
    private String unionId;

    private Date payDate;

    private String fyAmt;
    private String lngAmt;
    private String cngAmt;

    public String getFyAmt() {
        return fyAmt;
    }

    public void setFyAmt(String fyAmt) {
        this.fyAmt = fyAmt;
    }

    public String getLngAmt() {
        return lngAmt;
    }

    public void setLngAmt(String lngAmt) {
        this.lngAmt = lngAmt;
    }

    public String getCngAmt() {
        return cngAmt;
    }

    public void setCngAmt(String cngAmt) {
        this.cngAmt = cngAmt;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    /**
     * 根据用户所属组织，平台，集团，油站查询条件
     */
    private List<String> stationIdList;

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMemberId(String memberId)
    {
        this.memberId = memberId;
    }

    public String getMemberId()
    {
        return memberId;
    }
    public void setCustomerName(String customerName)
    {
        this.customerName = customerName;
    }

    public String getCustomerName()
    {
        return customerName;
    }
    public void setCommendMan(String commendMan)
    {
        this.commendMan = commendMan;
    }

    public String getCommendMan()
    {
        return commendMan;
    }
    public void setMemberGrade(String memberGrade)
    {
        this.memberGrade = memberGrade;
    }

    public String getMemberGrade()
    {
        return memberGrade;
    }
    public void setPhoneNumber(String phoneNumber)
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber()
    {
        return phoneNumber;
    }
    public void setCarNumber(String carNumber)
    {
        this.carNumber = carNumber;
    }

    public String getCarNumber()
    {
        return carNumber;
    }
    public void setBalance(BigDecimal balance)
    {
        this.balance = balance;
    }

    public BigDecimal getBalance()
    {
        return balance;
    }
    public void setIntegral(Long integral)
    {
        this.integral = integral;
    }

    public Long getIntegral()
    {
        return integral;
    }
    public void setSpecialCarType(String specialCarType)
    {
        this.specialCarType = specialCarType;
    }

    public String getSpecialCarType()
    {
        return specialCarType;
    }
    public void setRegtime(Date regtime)
    {
        this.regtime = regtime;
    }

    public Date getRegtime()
    {
        return regtime;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setCyGrade(String cyGrade)
    {
        this.cyGrade = cyGrade;
    }

    public String getCyGrade()
    {
        return cyGrade;
    }
    public void setQyGrade(String qyGrade)
    {
        this.qyGrade = qyGrade;
    }

    public String getQyGrade()
    {
        return qyGrade;
    }
    public void setCyLiters(BigDecimal cyLiters)
    {
        this.cyLiters = cyLiters;
    }

    public BigDecimal getCyLiters()
    {
        return cyLiters;
    }
    public void setQyLiters(BigDecimal qyLiters)
    {
        this.qyLiters = qyLiters;
    }

    public BigDecimal getQyLiters()
    {
        return qyLiters;
    }
    public void setCyAmt(BigDecimal cyAmt)
    {
        this.cyAmt = cyAmt;
    }

    public BigDecimal getCyAmt()
    {
        return cyAmt;
    }
    public void setQyAmt(BigDecimal qyAmt)
    {
        this.qyAmt = qyAmt;
    }

    public BigDecimal getQyAmt()
    {
        return qyAmt;
    }
    public void setBlogOpenid(String blogOpenid)
    {
        this.blogOpenid = blogOpenid;
    }

    public String getBlogOpenid()
    {
        return blogOpenid;
    }
    public void setMinaOpenid(String minaOpenid)
    {
        this.minaOpenid = minaOpenid;
    }

    public String getMinaOpenid()
    {
        return minaOpenid;
    }
    public void setBlogUserId(Long blogUserId)
    {
        this.blogUserId = blogUserId;
    }

    public Long getBlogUserId()
    {
        return blogUserId;
    }
    public void setMinaUserId(Long minaUserId)
    {
        this.minaUserId = minaUserId;
    }

    public Long getMinaUserId()
    {
        return minaUserId;
    }
    public void setOilName(String oilName)
    {
        this.oilName = oilName;
    }

    public String getOilName()
    {
        return oilName;
    }
    public void setGrade(String grade)
    {
        this.grade = grade;
    }

    public String getGrade()
    {
        return grade;
    }
    public void setLiters(BigDecimal liters)
    {
        this.liters = liters;
    }

    public BigDecimal getLiters()
    {
        return liters;
    }
    public void setAmt(BigDecimal amt)
    {
        this.amt = amt;
    }

    public BigDecimal getAmt()
    {
        return amt;
    }
    public void setUnionId(String unionId)
    {
        this.unionId = unionId;
    }

    public String getUnionId()
    {
        return unionId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("memberId", getMemberId())
            .append("customerName", getCustomerName())
            .append("commendMan", getCommendMan())
            .append("memberGrade", getMemberGrade())
            .append("phoneNumber", getPhoneNumber())
            .append("carNumber", getCarNumber())
            .append("balance", getBalance())
            .append("integral", getIntegral())
            .append("specialCarType", getSpecialCarType())
            .append("regtime", getRegtime())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("cyGrade", getCyGrade())
            .append("qyGrade", getQyGrade())
            .append("cyLiters", getCyLiters())
            .append("qyLiters", getQyLiters())
            .append("cyAmt", getCyAmt())
            .append("qyAmt", getQyAmt())
            .append("blogOpenid", getBlogOpenid())
            .append("minaOpenid", getMinaOpenid())
            .append("blogUserId", getBlogUserId())
            .append("minaUserId", getMinaUserId())
            .append("oilName", getOilName())
            .append("grade", getGrade())
            .append("liters", getLiters())
            .append("amt", getAmt())
            .append("unionId", getUnionId())
            .toString();
    }
}
